GDB (xrefs)

Classes | Functions | Variables
/tmp/gdb-8.1/gdb/mipsread.c File Reference
`#include "defs.h"`
`#include "bfd.h"`
`#include "symtab.h"`
`#include "objfiles.h"`
`#include "buildsym.h"`
`#include "stabsread.h"`
`#include "coff/sym.h"`
`#include "coff/internal.h"`
`#include "coff/ecoff.h"`
`#include "libcoff.h"`
`#include "libecoff.h"`
`#include "elf/common.h"`
`#include "elf/internal.h"`
`#include "elf/mips.h"`
`#include "psymtab.h"`

Go to the source code of this file.

## Classes
struct | Elfalpha_External_Sym
struct | Elfalpha_External_Dyn
struct | alphacoff_dynsecinfo

## Functions
static void | read_alphacoff_dynamic_symtab (minimal_symbol_reader &, struct section_offsets *, struct objfile *objfile)
static void | mipscoff_new_init (struct objfile *ignore)
static void | mipscoff_symfile_init (struct objfile *objfile)
static void | mipscoff_symfile_read (struct objfile *objfile, symfile_add_flags symfile_flags)
static void | mipscoff_symfile_finish (struct objfile *objfile)
static void | alphacoff_locate_sections (bfd *ignore_abfd, asection *sectp, void *sip)
void | _initialize_mipsread (void)

## Variables
static const struct sym_fns | ecoff_sym_fns

## Function Documentation

## ◆ _initialize_mipsread()

void _initialize_mipsread | ( | void |  | ) |

Definition at line 417 of file mipsread.c.

References add_symtab_fns(), and ecoff_sym_fns.

## ◆ alphacoff_locate_sections()

static void alphacoff_locate_sections | ( | bfd * | ignore_abfd,
|  | asection * | sectp,
|  | void * | sip
| ) |  |
| static

Definition at line 157 of file mipsread.c.

References alphacoff_dynsecinfo::dyninfo_sect, alphacoff_dynsecinfo::got_sect, if(), alphacoff_dynsecinfo::str_sect, and alphacoff_dynsecinfo::sym_sect.

Referenced by read_alphacoff_dynamic_symtab().

## ◆ mipscoff_new_init()

static void mipscoff_new_init | ( | struct objfile * | ignore | ) |
| static

Definition at line 54 of file mipsread.c.

References buildsym_new_init(), and stabsread_new_init().

## ◆ mipscoff_symfile_finish()

static void mipscoff_symfile_finish | ( | struct objfile * | objfile | ) |
| static

Definition at line 100 of file mipsread.c.

## ◆ mipscoff_symfile_init()

static void mipscoff_symfile_init | ( | struct objfile * | objfile | ) |
| static

Definition at line 63 of file mipsread.c.

## ◆ mipscoff_symfile_read()

static void mipscoff_symfile_read | ( | struct objfile * | objfile,
|  | symfile_add_flags | symfile_flags
| ) |  |
| static

Definition at line 70 of file mipsread.c.

References _, debug_info, debug_swap, error(), minimal_symbol_reader::install(), mdebug_build_psymtabs(), objfile::obfd, read_alphacoff_dynamic_symtab(), and objfile::section_offsets.

## ◆ read_alphacoff_dynamic_symtab()

static void read_alphacoff_dynamic_symtab | ( | minimal_symbol_reader & | reader,
|  | struct section_offsets * | section_offsets,
|  | struct objfile * | objfile
| ) |  |
| static

Definition at line 177 of file mipsread.c.

References alphacoff_locate_sections(), Elfalpha_External_Dyn::d_tag, Elfalpha_External_Dyn::d_un, Elfalpha_External_Dyn::d_val, do_cleanups(), make_cleanup(), memset(), mst_abs, mst_bss, mst_data, mst_file_bss, mst_file_data, mst_file_text, mst_solib_trampoline, mst_text, name, objfile::obfd, minimal_symbol_reader::record(), Elfalpha_External_Sym::st_info, Elfalpha_External_Sym::st_name, Elfalpha_External_Sym::st_shndx, Elfalpha_External_Sym::st_value, xfree(), and xmalloc().

Referenced by mipscoff_symfile_read().

## Variable Documentation

## ◆ ecoff_sym_fns

const struct sym_fns ecoff_sym_fns
| static

Initial value:
=
{
mipscoff_new_init,
mipscoff_symfile_init,
mipscoff_symfile_read,
NULL,
mipscoff_symfile_finish,
default_symfile_offsets,
default_symfile_segments,
NULL,
default_symfile_relocate,
NULL,
&psym_functions
}
default_symfile_segments
struct symfile_segment_data * default_symfile_segments(bfd *abfd)
Definition: symfile.c:785
mipscoff_new_init
static void mipscoff_new_init(struct objfile *ignore)
Definition: mipsread.c:54
default_symfile_relocate
bfd_byte * default_symfile_relocate(struct objfile *objfile, asection *sectp, bfd_byte *buf)
Definition: symfile.c:3625
mipscoff_symfile_init
static void mipscoff_symfile_init(struct objfile *objfile)
Definition: mipsread.c:63
mipscoff_symfile_read
static void mipscoff_symfile_read(struct objfile *objfile, symfile_add_flags symfile_flags)
Definition: mipsread.c:70
mipscoff_symfile_finish
static void mipscoff_symfile_finish(struct objfile *objfile)
Definition: mipsread.c:100
psym_functions
const struct quick_symbol_functions psym_functions
Definition: psymtab.c:1541
default_symfile_offsets
void default_symfile_offsets(struct objfile *objfile, const struct section_addr_info *addrs)
Definition: symfile.c:695

Definition at line 401 of file mipsread.c.

Referenced by _initialize_mipsread().